searchData={"items":[{"type":"module","title":"Criterion","doc":"A frame work to write unit tests as a list of steps. It can be used to write tests BDD style.","ref":"Criterion.html"},{"type":"module","title":"Usage - Criterion","doc":"1. Define scenarios using the `scenario/2` macro.\n2. Inside each scenario, define steps using the `step/2` macro.\n3. Steps can be either plain steps or steps with context variables.","ref":"Criterion.html#module-usage"},{"type":"module","title":"Examples - Criterion","doc":"```elixir\n# Define a scenario\nscenario \"Adding numbers\" do\n  # Define a step\n  step \"Addition\" do\n    assert 1 + 1 == 2\n  end\n\n  # Define a step with context\n  step \"Addition with context\", context do\n    result = context[:a] + context[:b]\n    assert result == 5\n  end\nend\n```","ref":"Criterion.html#module-examples"},{"type":"macro","title":"Criterion.scenario/3","doc":"","ref":"Criterion.html#scenario/3"},{"type":"extras","title":"Criterion","doc":"# Criterion\n\nA library to write ExUnit tests BDD style","ref":"readme.html"},{"type":"extras","title":"Installation - Criterion","doc":"The package can be installed\nby adding `criterion` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:criterion, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Criterion","doc":"```elixir\ndefmodule CriterionTest do\n  use ExUnit.Case\n  import Criterion\n\n  scenario \"Square\" do\n    step \"Given a number 2\" do\n      number = 2\n      %{number: number}\n    end\n\n    step \"When the number is multiplied by it self\", %{number: number} do\n      result = number * number\n      %{result: result}\n    end\n\n    step \"Then the result is 4\", %{result: result} do\n      assert result == 4\n      %{result: result}\n    end\n  end\nend\n\n```","ref":"readme.html#usage"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}